Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Rmic

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Rmic

public class Rmic
extends MatchingTask

Task to compile RMI stubs and skeletons. This task can take the following arguments:

- base: The base directory for the compiled stubs and skeletons
- class: The name of the class to generate the stubs from
- stubVersion: The version of the stub prototol to use (1.1, 1.2, compat)
- sourceBase: The base directory for the generated stubs and skeletons
- classpath: Additional classpath, appended before the system classpath
- iiop: Generate IIOP compatable output
- iiopopts: Include IIOP options
- idl: Generate IDL output
- idlopts: Include IDL options

Of these arguments, base is required.

If classname is specified then only that classname will be compiled. If it is absent, then base is traversed for classes according to patterns.

Author:
  duncan@x180.com, ludovic.claude@websitewatchers.co.uk, David Maclean david@cm.co.za, Stefan Bodewig

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Rmic()`

Method Summary
`Path` | `createClasspath()` Creates a nested classpath element.
`void` | `execute()` Called by the project to let the task do it's work.
`protected void` | `scanDir(java.io.File baseDir, java.lang.String[] files)` Scans the directory looking for class files to be compiled.
`void` | `setBase(java.io.File base)`
`void` | `setClassname(java.lang.String classname)`
`void` | `setClasspath(Path classpath)` Set the classpath to be used for this compilation.
`void` | `setClasspathRef(Reference r)` Adds a reference to a CLASSPATH defined elsewhere.
`void` | `setDebug(boolean debug)`
`void` | `setFiltering(boolean filter)`
`void` | `setIdl(boolean idl)` Indicates that IDL output should be generated.
`void` | `setIdlopts(java.lang.String idlopts)` pass additional arguments for idl compile
`void` | `setIiop(boolean iiop)` Indicates that IIOP compatible stubs should be generated.
`void` | `setIiopopts(java.lang.String iiopopts)` pass additional arguments for iiop
`void` | `setSourceBase(java.io.File sourceBase)`
`void` | `setStubVersion(java.lang.String stubVersion)`
`void` | `setVerify(boolean verify)` Indicates that the classes found by the directory match should be checked to see if they implement java.rmi.Remote.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rmic

    public Rmic()

Method Detail

### setBase

    public void setBase(java.io.File base)

### setClassname

    public void setClassname(java.lang.String classname)

### setSourceBase

    public void setSourceBase(java.io.File sourceBase)

### setStubVersion

    public void setStubVersion(java.lang.String stubVersion)

### setFiltering

    public void setFiltering(boolean filter)

### setDebug

    public void setDebug(boolean debug)

### setClasspath

    public void setClasspath(Path classpath)

  Set the classpath to be used for this compilation.

### createClasspath

    public Path createClasspath()

  Creates a nested classpath element.

### setClasspathRef

    public void setClasspathRef(Reference r)

  Adds a reference to a CLASSPATH defined elsewhere.

### setVerify

    public void setVerify(boolean verify)

  Indicates that the classes found by the directory match should be checked to see if they implement java.rmi.Remote. This defaults to false if not set.

### setIiop

    public void setIiop(boolean iiop)

  Indicates that IIOP compatible stubs should be generated. This defaults to false if not set.

### setIiopopts

    public void setIiopopts(java.lang.String iiopopts)

  pass additional arguments for iiop

### setIdl

    public void setIdl(boolean idl)

  Indicates that IDL output should be generated. This defaults to false if not set.

### setIdlopts

    public void setIdlopts(java.lang.String idlopts)

  pass additional arguments for idl compile

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### scanDir

    protected void scanDir(java.io.File baseDir,
                           java.lang.String[] files)

  Scans the directory looking for class files to be compiled. The result is returned in the class variable compileList.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.